Get a list overview of Pools, Operators and Addresses
curl --request GET \
--url https://api.rated.network/v1/eth/entities \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.rated.network/v1/eth/entities"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.rated.network/v1/eth/entities', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"next": "https://api.rated.network//v1/eth/entities?limit=10&offset=30",
"pages": 10,
"previous": "https://api.rated.network//v1/eth/entities?limit=10&offset=10",
"results": [
[
{
"id": "0xa40dfee99e1c85dc97fdc594b16a460717838703",
"name": "0xa40dfee99e1c85dc97fdc594b16a460717838703",
"networkPenetration": 0.07855633469653803,
"operatorCount": 0,
"type": "depositAddress",
"validatorCount": 37361
}
]
]
}{
"detail": [
{
"msg": "<string>",
"type": "<string>",
"loc": [
"<string>"
]
}
]
}Get a list overview of Pools, Operators and Addresses
This endpoint returns an overview of all Pools, Operators and Addresses on the Beacon Chain.
GET
/
v1
/
eth
/
entities
Get a list overview of Pools, Operators and Addresses
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Available options:
mainnet, hoodi, holesky Query Parameters
The number of results returned per page
The number of results to skip before starting to return
The type of entity class you would like returned
Available options:
depositAddress, withdrawalAddress, nodeOperator, pool, poolShare, subNodeOperator, entity, validator, privateSet The filter you want results to be sorted by
The sort order for the results
Available options:
asc, desc